@font-face {
    font-family: 'MyCustomFont';
    src: url('../assts/font.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}
  
  :root {
    --primary: #0a0a0a;
    --secondary: #ffd700;
    --accent: #ffd9009d;
    --dark-yellow: #e9cf3a;
    --text: #ffffff;
    --radius: 1.5rem;
    --max-width: 1440px;
    --transition: all 0.3s ease;
    --font: 'MyCustomFont', sans-serif;
}

.section-title{
    margin-top: 100px;
    text-align: right;
}

.title{
    text-align: right;
    font-size: 18px;
    color: silver;
    margin-top: -10px;
}

.filters,
.rank-filters {
    height: 65px;
    margin-top: 10px;
    margin-bottom: 10px;
    gap: 1rem;
    overflow-x: auto;
    white-space: nowrap;
    overflow-y: hidden;
    padding-left: 15px;
}

.filters::before,
.rank-filters::before {
    content: '';
    position: absolute;
    left: 15px;
    width: 20px;
    height: 65px;
    background: linear-gradient(90deg, rgb(0, 0, 0), rgba(0, 0, 0, 0));
}

::-webkit-scrollbar{
    display: none;
}

.rank-filters{
    margin-top: 15px;
}

.filter-btn,
.rank-btn {
    display: none;
}

.filter-btn + label,
.rank-btn + label {
    border: 3px solid transparent;
    padding: 10px 30px 10px 30px;
    font-family: var(--font);   
    border-radius: 50px;
    background-color: var(--secondary);
    color: black;
    font-size: 20px;
    display: inline-block;
    margin-right: 10px;
    cursor: pointer;
    transition: all 0.3s;
    box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.1), inset 10px 10px 20px 0px rgba(0,0,0,.45);
}

.rank-btn + label{
    background-color: white;
}

.filter-btn + label:hover{
    background-color: var(--accent);
}

.rank-btn + label:hover {
    background-color: rgb(173, 173, 173);
}

.filter-btn:checked + label{
    background-color: transparent;
    color: white;
    border-color: var(--dark-yellow);
}

.rank-btn:checked + label {
    background-color: black;
    color: white;
    border-color: white;
}
